﻿.header-wrapper {
  display: flex;
  background-color: var(--background);
  padding: var(--spacing-4) var(--spacing-6) var(--spacing-2) var(--spacing-2);
  justify-content: center;
  align-items: center;
}

.logo {
  display: flex;
  padding: 0 var(--spacing-2);
  align-items: center;
  justify-content: center;
}
.logo img {
  width: 100%;
  height: auto;
  max-width: 120px;
}

.nav-left,
.nav-right {
  display: flex;
}

/***** Start of primary nav ******/
#menu-button {
  display: none;
}
nav.mobile {
  display: none;
}

nav.primary {
  display: flex;
  position: relative;
  padding: 0;
  margin: 0;
  width: auto;
  align-items: center;
  justify-content: center;
}
nav.primary ul {
  margin: 0;
  padding: 0;
}

/* Top level links */
nav.primary ul li {
  /* display: inline-block; */
  display: flex;
  margin: 0;
  list-style-type: none;
  width: auto;
}
nav.primary ul li a {
  color: var(--black);
  font: var(--body-m-bold);
  text-decoration: none;
  display: block;
  margin: 0;
  padding: 0 var(--spacing-2);
  text-align: center;
  -webkit-transition: 0.4s ease-in;
  -moz-transition: 0.2s ease-in;
  -o-transition: 0.2s ease-in;
  transition: 0.2s ease-in;
}
nav.primary ul li a:hover {
  color: var(--dark-yellow-3);
}

/*------------------- Appearance of the sub-level links ------------------- */
nav.primary ul li li a {
  font: var(--body-m-bold);
  color: var(--black);
  text-align: left;
  border-right: none;
  border-left: none;
  border-bottom: var(--light-grey) solid 1px;
}
/* Appearance of the sub-level links on hover */
nav.primary ul li li a:hover {
  color: var(--dark-yellow-3);
  background-color: var(--white-active);
}

/* This controls the Primary nav dropdowns for sublinks. Should not have to edit this too muuch */
nav.primary .nav-second-level {
  display: none;
  position: absolute;
  top: 180%;
  background-color: var(--background);
}
nav.primary > ul > li {
  position: relative;
}
nav.primary > ul > li:hover::after {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  top: 100%;
  height: 2.5rem;
}

/* nav.primary ul ul ul {
  position: absolute;
  left: 100%;
  top: 0;
} */

nav.primary ul li:hover > .nav-second-level,
nav.primary ul li:focus-within > .nav-second-level {
  display: block;
  z-index: 100;
}
nav.primary ul ul li {
  float: none;
  width: 270px;
  position: relative;
  margin: 0;
  display: block;
}

/******** End of primary Nav ***************/

/*==============================
	Mobile Nav Styles			
================================*/
@media screen and (max-width: 1000px) {
  nav.primary {
    display: none;
  }
  #menu-button {
    width: 100%;
    font: var(--body-l-bold);
    display: inline-block;
    position: relative;
    z-index: 400; /* needs to be lower than nav.mobile, adjust as needed */
    text-align: right;
  }
  #menu-button a {
    color: var(--black);
    text-decoration: none;
    padding: 0 0 0 var(--spacing-2);
  }

  #menu-button a:hover {
    color: var(--dark-yellow-3);
    cursor: pointer;
  }

  nav.mobile {
    display: block;
    position: fixed;
    top: 0;
    left: -250px;
    width: 250px;
    height: 100%;
    background: var(--yellow);
    z-index: 500; /* needs to be higher than #menu-button, adjust as needed */
    overflow: auto;
  }

  nav.mobile .menu-header {
    display: flex;
    position: relative;
    align-items: center;
    font: var(--heading-h3);
    color: var(--black);
    padding: var(--spacing-2);
    height: 3rem;
  }

  nav.mobile a {
    color: var(--black);
  }

  /* MENU CLOSE 'X' BUTTON */
  nav.mobile .menu-toggle {
    position: absolute;
    font: var(--body-m-bold);
    color: var(--black);
    width: 30px;
    height: 30px;
    text-decoration: none;
    right: 5%;
  }
  nav.mobile .menu-toggle:hover {
    /* Menu close button on hover */
    color: var(--dark-yellow-3) !important;
    cursor: pointer;
  }

  /* MENU LIST STYLE */
  nav.mobile ul {
    list-style: none;
    margin: 0;
    padding: 0;
  }
  nav.mobile ul li {
    font: var(--body-m-bold);
    position: relative;
  }

  nav.mobile hr {
    border: none;
    border-top: 1px solid var(--black);
    margin: 0;
  }

  /* FIRST LEVEL */
  nav.mobile ul li a {
    position: relative;
    display: block;
    padding: var(--spacing-2);
    text-decoration: none;
    text-align: left;
    transition: var(--transition);
  }

  nav.mobile ul li .click {
    position: relative;
    display: block;
    width: 100%;
    padding: var(--spacing-2);
    text-decoration: none;
    text-align: left;
    transition: var(--transition);
    cursor: pointer;
  }

  nav.mobile ul li a:hover {
    background-color: var(--light-yellow-1);
  }

  .nav-footer {
    font: var(--body-xxs-reg);
    position: relative;
    padding: var(--spacing-3) var(--spacing-2) var(--spacing-2) var(--spacing-2);
  }

  .menu-social {
    padding: var(--spacing-2);
    display: none;
    flex-direction: row;
    gap: var(--spacing-1);
  }

  .menu-social a {
    background-color: var(--black);
    color: var(--background) !important;
    width: 2rem;
    height: 2rem;
    font: var(--body-s-bold);
  }

  .menu-social a:hover {
    color: var(---black) !important;
  }

  /* SECOND LEVEL */
  /* nav.mobile ul li li:last-child {
    border: none;
  } */

  nav.mobile .dropdown-list {
    display: none;
    margin: 0;
    padding: 0;
    background: var(--background);
  }

  nav.mobile ul .dropdown-list a {
    background: var(--background);
    position: relative;
    display: block;
    text-decoration: none;
  }
  nav.mobile ul .dropdown-list a:hover {
    background-color: var(--white-active);
  }

  /* ================= NOT IN USE =================*/
  /* THIRD LEVEL */
  /* nav.mobile ul li li li:last-child {
    border: none;
  }
  nav.mobile ul li li li a {
    background: #555;
    position: relative;
    display: block;
    padding: 10px 10px 10px 25px;
    color: #ccc;
    text-decoration: none;
    border-left: 4px #555 solid;
  }
  nav.mobile ul li li li a:hover {
    background: rgba(85, 85, 85, 0.5);
  } */

  /* FONT AWESOME ICONS */
  /* nav.mobile ul li a .fa {
    width: 25px;
    font-weight: 100;
    padding: 8px 3px;
    margin: 0 6px 0 0;
    text-align: center;
    background: #292929;
    -webkit-border-radius: 30px;
    -moz-border-radius: 30px;
    border-radius: 30px;
    text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.3);
  } */

  /* MENU HEADER SOCIAL MEDIA */
  /* nav.mobile .social-media {
    position: relative;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    word-spacing: 13px;
    padding: 0 0 0 15px;
    color: #ccc !important;
  }

  nav.mobile .social-media a:link,
  nav.mobile .social-media a:visited {
    color: #ccc;
    text-decoration: none;
  }
  nav.mobile .social-media a:hover,
  nav.mobile .social-media a:active {
    color: #fff;
    text-decoration: underline;
  } */
  /* =============================================== */
}

@media screen and (max-width: 1020px) {
  #menu-button {
    width: 100%;
  }
}

@media only screen and (max-width: 550px) {
  .menu-social {
    display: flex;
  }
}

@media screen and (max-width: 430px) {
  #menu-button {
    width: 100%;
  }

  .header-wrapper {
    padding: var(--spacing-4) var(--spacing-5);
  }
}
